geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rex Wang (JIRA)" <j...@apache.org>
Subject [jira] Closed: (GERONIMO-5138) G 2.1 branch activemq build error saying that 'org.codehaus.mojo.jspc:jspc-maven-plugin' has invalid descriptor
Date Wed, 24 Mar 2010 01:38:27 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-5138?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rex Wang closed GERONIMO-5138.
------------------------------

       Resolution: Fixed
    Fix Version/s: 2.1.5

This has been fixed when upgrade the server root pom to leverage genesis 2.0.
So closing it. 
Thanks all the same.

> G 2.1 branch activemq build error saying that 'org.codehaus.mojo.jspc:jspc-maven-plugin'
has invalid descriptor
> ---------------------------------------------------------------------------------------------------------------
>
>                 Key: GERONIMO-5138
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-5138
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>    Affects Versions: 2.1.5
>            Reporter: Forrest Xia
>            Assignee: Forrest Xia
>             Fix For: 2.1.5
>
>         Attachments: GERONIMO-5138.patch
>
>
> [INFO] ------------------------------------------------------------------------
> [INFO] Building Geronimo Plugins, ActiveMQ :: Portlets
> [INFO]    task-segment: [install]
> [INFO] ------------------------------------------------------------------------
> [INFO] ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] ------------------------------------------------------------------------
> [INFO] Internal error in the plugin manager getting plugin 'org.codehaus.mojo.jspc:jspc-maven-plugin':
Plugin 'org.codehaus.mojo.jspc:jspc-maven-plugin:2.0-alpha-1-20070806' has an invalid descriptor:
> 1) Plugin's descriptor contains the wrong version: 2.0-alpha-1-SNAPSHOT
> [INFO] ------------------------------------------------------------------------
> [INFO] Trace
> org.apache.maven.lifecycle.LifecycleExecutionException: Internal error in the plugin
manager getting plugin 'org.codehaus.mojo.jspc:jspc-maven-plugin': Plugin 'org.codehaus.mojo.jspc:jspc-maven-plugin:2.0-alpha-1-20070806'
has an invalid descriptor:
> 1) Plugin's descriptor contains the wrong version: 2.0-alpha-1-SNAPSHOT
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(DefaultLifecycleExecutor.java:1544)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.bindPluginToLifecycle(DefaultLifecycleExecutor.java:1503)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.constructLifecycleMappings(DefaultLifecycleExecutor.java:1282)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:534)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)
> 	at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
> 	at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
> 	at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
> 	at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79)
> 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> 	at java.lang.reflect.Method.invoke(Method.java:618)
> 	at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
> 	at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
> 	at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
> 	at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
> Caused by: org.apache.maven.plugin.PluginManagerException: Plugin 'org.codehaus.mojo.jspc:jspc-maven-plugin:2.0-alpha-1-20070806'
has an invalid descriptor:
> 1) Plugin's descriptor contains the wrong version: 2.0-alpha-1-SNAPSHOT
> 	at org.apache.maven.plugin.DefaultPluginManager.addPlugin(DefaultPluginManager.java:330)
> 	at org.apache.maven.plugin.DefaultPluginManager.verifyVersionedPlugin(DefaultPluginManager.java:224)
> 	at org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(DefaultPluginManager.java:184)
> 	at org.apache.maven.plugin.DefaultPluginManager.loadPluginDescriptor(DefaultPluginManager.java:1642)
> 	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(DefaultLifecycleExecutor.java:1540)
> 	... 18 more

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message